Eclipse Platform Release 3.7

## org.eclipse.jface.text.hyperlink
Interface IHyperlinkDetectorExtension2

    public interface IHyperlinkDetectorExtension2

Extends `IHyperlinkDetector` with ability to specify the state mask of the modifier keys that need to be pressed for this hyperlink detector.

Clients may implement this interface.

Since:
  3.3

Method Summary
`int` `getStateMask()` Returns the state mask of the modifier keys that need to be pressed for this hyperlink detector.

Method Detail

### getStateMask

    int getStateMask()

  Returns the state mask of the modifier keys that need to be pressed for this hyperlink detector.

  Returns:
    the state mask

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.